summaryrefslogtreecommitdiffstats
path: root/test/TEST-14-MACHINE-ID/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-14-MACHINE-ID/test.sh')
-rwxr-xr-xtest/TEST-14-MACHINE-ID/test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/test/TEST-14-MACHINE-ID/test.sh b/test/TEST-14-MACHINE-ID/test.sh
new file mode 100755
index 0000000..e8dbf23
--- /dev/null
+++ b/test/TEST-14-MACHINE-ID/test.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+set -e
+TEST_DESCRIPTION="/etc/machine-id testing"
+IMAGE_NAME="badid"
+TEST_NO_NSPAWN=1
+
+. $TEST_BASE_DIR/test-functions
+
+test_create_image() {
+ create_empty_image_rootdir
+
+ # Create what will eventually be our root filesystem onto an overlay
+ (
+ LOG_LEVEL=5
+ setup_basic_environment
+ mask_supporting_services
+ printf "556f48e837bc4424a710fa2e2c9d3e3c\ne3d\n" >$initdir/etc/machine-id
+ )
+}
+
+do_test "$@" 14